<?php
/**
 * Created by PhpStorm.
 * User: radko
 * Date: 2019-02-11
 * Time: 16:24
 */

namespace Seka\Vzdelavanie\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

/**
 * Class VyhladavanieIndexRequest
 * @package Seka\Vzdelavanie\Http\Requests
 */
class VyhladavanieIndexRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * @return array
     */
    public function rules()
    {
        return [
            'text' => 'required|min:3|max:64'
        ];
    }

    /**
     * @return array
     */
    public function messages()
    {
        return [
            'text.required' => 'Názov učebného materiálu je vyžadovaný',
            'text.min' => 'Názov učebného materiálu musí obsahovať minimálne :min znakov',
            'text.max' => 'Názov učebného materiálu môže obsahovať maximálne :max znakov',
        ];
    }
}
